- defaultTab: nodes
  description: ''
  executionEnabled: true
  id: 9d93100e-469f-48df-80d8-daaf7efb720e
  loglevel: INFO
  name: FileChecker
  nodeFilterEditable: false
  nodefilters:
    dispatch:
      excludePrecedence: true
      keepgoing: false
      rankOrder: ascending
      successOnEmptyNodeFilter: false
      threadcount: '1'
    filter: ${option.nodes}
  nodesSelectedByDefault: true
  options:
  - name: nodes
    value: node01
  plugins:
    ExecutionLifecycle: null
  scheduleEnabled: true
  sequence:
    commands:
    - fileExtension: .sh
      interpreterArgsQuoted: false
      plugins:
        LogFilter:
        - config:
            invalidKeyPattern: \s|\$|\{|\}|\\
            logData: 'true'
            regex: (.*)=(.*)
            replaceFilteredResult: 'false'
          type: key-value-data
      script: |-
        # file checker simulator
        echo "files found!"
        echo "file1=myfile1"
        echo "file2=myfile2"
      scriptInterpreter: /bin/bash
    - jobref:
        args: -myfilter ${option.nodes} -opt1 ${data.file1} -opt2 ${data.file2}
        group: ''
        name: FileProcessing
        nodeStep: 'true'
        uuid: d26754e3-97a0-44e2-9738-bba502f14309
    keepgoing: false
    strategy: node-first
  uuid: 9d93100e-469f-48df-80d8-daaf7efb720e
